Subject: Re: bug#16788: local abbrev-file-name ignored

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 30 May 2021 07:00:42 +0200

Andreas Röhler <[email-masked]> writes:

> from Emacs -Q
>
> First line in buffer contains
>
> -*- abbrev-file-name: "PATH/TO/LOKAL_ABBREV_FILE" -*-
>
> M-x add-mode-abbrev RET ...
>
> stores an abbrev.
>
> After M-x edit-abbrev RET ...
>
> saving the result however stores it into the default abbrev-file.

(I'm going through old bug reports that unfortunately got no response at
the time.)

If I understand this report correctly, the request here is really to
support buffer-local abbrev-file-name variables, which abbrev.el doesn't
really do at all today.  Skimming the code and the documentation, it
doesn't seem like abbrev supports anything like that -- it has one
global variable for all the abbrevs, so even if we had a buffer-local
file name, all the abbrevs would end up there?

So supporting this would be a major rewrite of abbrevs, and I haven't
really seen any other requests for that, so I'm closing this bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no